<section class="container-fluid animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <h4>{{title | translate}}</h4>
      <hr>
    </div>
  </div>
  <div class="row wall">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12">
      <form [formGroup]="form" (ngSubmit)="submit(form)" novalidate>
        <div class="row">
          <!-- Name -->
          <div class="col-lg-6">
            <div class="row form-group" [ngClass]="{'has-error':form.controls['name'].invalid && formSubmited}">
              <div class="col-lg-12">
                <label class="form-label-inline" for="name">
                  {{ 'directors.list.name' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <input id="name" class="form-control" type="text" name="name" formControlName="name">
                <div class="feedback" *ngIf="form.controls['name'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
              </div>
            </div>
          </div>
          <!-- Key -->
          <div class="col-lg-6">
            <div class="row form-group" [ngClass]="{'has-error':form.controls['key'].invalid && formSubmited}">
              <div class="col-lg-12">
                <label class="form-label-inline" for="key">
                  {{ 'key' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <input id="key" class="form-control" type="text" name="key" formControlName="key">
                <div class="feedback" *ngIf="form.controls['key'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
              </div>
            </div>
          </div>
          <!-- To From -->
          <div class="col-lg-6">
            <div class="row form-group" [ngClass]="{'has-error':form.controls['from'].invalid && formSubmited}">
              <div class="col-lg-12">
                <label class="form-label-inline" for="from">
                  {{ 'age.list.from' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <input id="from" class="form-control" type="number" name="from" formControlName="from">
                <div class="feedback" *ngIf="form.controls['from'].hasError('required') && formSubmited">{{
                  'feedback.required' | translate }}</div>
              </div>
            </div>
          </div>
          <div class="col-lg-6">
            <div class="row form-group" [ngClass]="{'has-error':form.controls['to'].invalid && formSubmited}">
              <div class="col-lg-12">
                <label class="form-label-inline" for="to">
                  {{ 'age.list.to' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <input id="to" class="form-control" type="number" name="to" formControlName="to">
                <div class="feedback" *ngIf="form.controls['to'].hasError('required') && formSubmited">{{
                  'feedback.required' | translate }}</div>
              </div>
            </div>
          </div>
          <!-- Bio -->
          <div class="col-lg-6">
            <div class="row form-group">
              <div class="col-lg-12">
                <label class="form-label-inline" for="description">
                  {{ 'age.create.bio' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <textarea id="description" rows="8" class="form-control" type="text" name="description" maxlength="300"
                  (input)="countingCharacters($event)" formControlName="description"></textarea>
                <div class="text-left text-white"> 300 / {{ remainingCharcters }} </div>
              </div>
            </div>
          </div>
          <!-- Profile Image -->
          <div class="col-lg-6">
            <div class="row">
              <label class="col-lg-12 form-label-inline" for="images">{{ 'directors.create.profile_image' | translate }} :(500*500)</label>
              <div class="col-md-12 mb">
                <dropzone-images [defaults]="defaultImage" [multi]="false" (changed)="setImage($event, 'profile')">
                </dropzone-images>
              </div>
            </div>
          </div>
          <!-- buttons -->
          <div class="col-md-10 mt">
            <div class="row">
              <div class="col-md-12">
                <button class="btn-primary mx-2" type="submit" [disabled]="form.invalid && formSubmited">{{ "upload.create.publish" | translate}}</button>
                <button class="btn-outline" type="button"
                  [routerLink]="'/panel/age'" [queryParams]="query.params()">{{'operation.back' | translate }}</button>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
</section>